
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-VCO
Summary:		VCO LADSPA plugins
Version:		0.3.0
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			VCO-plugins-%{version}.tar.bz2
URL:			http://www.kokkinizita.net/linuxaudio/ladspa/index.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
Pulse-VCO : Anti-aliased dirac pulse oscillator (flat amplitude spectrum)
Saw-VCO   : Anti-aliased sawtooth oscillator (1/F amplitude spectrum)
Rec-VCO   : Anti-aliased square / rectange oscillator

All three oscillators are based on the same principle of using a precomputed
interpolated dirac pulse. For the sawtooth and rectangular versions, the 'edge'
is made by integrating the anti-aliased pulse.

See the README for more information.



%prep
%setup -q -n VCO-plugins-%{version}

%{__perl} -p -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile

# use the system version of ladspa.h
%__rm ladspa.h
ln -s /usr/include/ladspa.h .

%build
%__make \
	CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- splitt-off from ladspa package
